Summary: provides support for IMAP and POP network mail protocols
Name: imap
Version: 4.5
Release: 0.4.2
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.cac.washington.edu/mail/imap-4.5.tar.Z
Source1: imap.pamd
Patch0: imap-%{version}-linux.patch
# patch 1 forces fcntl locking only
Patch2: imap-%{version}-redhat.patch

Patch11: imap-4.1.BETA-misc.patch
Patch12: imap-4.1.FINAL-pam.patch

Requires: pam >= 0.56
Conflicts: pam >= 0.59
BuildRoot: /var/tmp/imap-root
Packager: Frank Meurer <meurer@gmx.de>

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

%prep
cd $RPM_BUILD_DIR
%setup -q
%patch0 -p1 -b .linux
%patch2 -p1 -b .redhat

%patch11 -p1 -b .bsd

# use old pam routines
cp /dev/null src/osdep/unix/ckp_pam.c
%patch12 -p1 -b .pam

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lnp

%clean
rm -f imap
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap

%files
%config /etc/pam.d/imap
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
%attr(2755,root,mail) /usr/sbin/ipop2d
%attr(2755,root,mail) /usr/sbin/ipop3d
%attr(2755,root,mail) /usr/sbin/imapd

%changelog
* Fri Oct  5 2001 Frank Meurer <meurer@gmx.de>
- Linux/mac68k

* Mon Jul 13 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to the final version for security reasons
- buildroot

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().
